summaryrefslogtreecommitdiff
path: root/dmake/tests/misc-3
diff options
context:
space:
mode:
authorJens-Heiner Rechtien <hr@openoffice.org>2006-04-20 11:16:33 +0000
committerJens-Heiner Rechtien <hr@openoffice.org>2006-04-20 11:16:33 +0000
commitb2eeb057044754e0a023bfe064b879e7bc1f14ab (patch)
tree785ea8c9716de29344bb7099f57e16ef9c8a7fcc /dmake/tests/misc-3
parent8b1ecbe2778cc00e5dcd32c83a4b4d29f670a52a (diff)
INTEGRATION: CWS dmake43p01 (1.1.2); FILE ADDED
2005/09/20 00:50:47 vq 1.1.2.1: #i49461# Add testcase and regenerate configure and other autotools files.
Diffstat (limited to 'dmake/tests/misc-3')
-rwxr-xr-xdmake/tests/misc-344
1 files changed, 44 insertions, 0 deletions
diff --git a/dmake/tests/misc-3 b/dmake/tests/misc-3
new file mode 100755
index 000000000000..249e315e6d20
--- /dev/null
+++ b/dmake/tests/misc-3
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# 17.09.2005 Volker Quetschke
+# Test for line continuation in comments.
+# (issue 49461)
+
+: ${DMAKEPROG:=dmake}
+file1="mymakefile.mk"
+tmpfiles="$file1"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+trap 'rm -rf $tmpfiles' 1 2 3 15
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+cat > $file1 <<EOT
+# Testing continuation char in recipes
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+AAA:=aaa
+
+# A continued comment line followed/ended by an empty line \
+
+AAA+=bbb
+
+all:
+ +@echo \$(AAA)
+
+EOT
+
+output=$(${DMAKEPROG} -r -f $file1)
+result=$?
+
+# The space between aaa and bbb comes from the +=
+if test "$output" != "aaa bbb"; then
+ echo "Wrong result"
+ result=1
+fi
+
+
+test $result -eq 0 && echo "Success - Cleaning up" && rm -f ${tmpfiles}
+test $result -ne 0 && echo "Failure!"
+exit $result